Subject: Re: gettext CTYPE for libc

From: Trần Ngọc Quân <[email-masked]>
Date: Mon, 25 Nov 2013 08:32:17 +0700

On 24/11/2013 16:05, Thomas Rast wrote:
> Trần Ngọc Quân <[email-masked]> writes:
>
>> $ git status
>> fatal: Unable to read current working directory: Kh?ng c? t?p tin ho?c
>> th? m?c nh? v?y
>>
>> So, somthing wrong with our charset.
> [...]
> Do you know why this "suddenly" broke?
I think git set CTYPE="C" for libc, so charset become  7-bit ASCII, but
it don't set LC_MESSAGES="C" for libc and libc will get this one from
system variable.
> The long comment in
> init_gettext_charset() suggests that the *existing* code is there to
> handle exactly this problem, and apparently it doesn't.  Why?  Has libc
> moved the perror() strings into a separate domain in some version?
See setlocale(3) [1]
I'm a newbie in GIT. I'm not sure about git work correctly [2] if set
git's charset to same with system.
I don't think libc moved perror() string in separate domain. It use its
own domain.

[1]  http://man7.org/linux/man-pages/man3/setlocale.3.html
[2]  incorrect if some function need work in ASCII mode

-- 
Trần Ngọc Quân.